## EOAuth2ServiceBase

EOAuth2ServiceBase — An abstract base class for EOAuth2Service implementations

## Object Hierarchy

        GObject
        ╰── EExtension
            ╰── EOAuth2ServiceBase
                ├── EOAuth2ServiceGoogle
                ├── EOAuth2ServiceOutlook
                ╰── EOAuth2ServiceYahoo

## Includes

    #include <libebackend/libebackend.h>

## Description

An abstract base class, which can be used by any EOAuth2Service implementation. It registers itself to EOAuth2Services at the end of its constructed method. The descendant implements the EOAuth2ServiceInterface.

## Functions